
public class VisualFieldEventProcessor extends DrawObjectEventProcessor
{
    @Override
    public void TryProcessUserKeyboardAction(MainWindow.GUIElements GUIElements, KeyEventProcessor KeyEventProcessor, MouseEventProcessor MouseEventProcessor, ObjectStorage ObjectStorage, IOProgram IOProgram)
    {
        if (!(KeyboardEventsToBeProcessed(GUIElements)))
            return;

        return;
    }

    @Override
    public void TryProcessUserMouseAction(MainWindow.GUIElements GUIElements, KeyEventProcessor KeyEventProcessor, MouseEventProcessor MouseEventProcessor, ObjectStorage ObjectStorage, IOProgram IOProgram)
    {
        if (!(MouseEventsToBeProcessed(GUIElements)))
            return;

        // ****************************************************************
        if (MouseEventProcessor.IsRightButtonClicked())
        {
            if (DEFINED(SingleSelectedObject))
            {
                if (SingleSelectedObject.IsVisualFieldPixel())
                {
                    ((VisualFieldPixel) SingleSelectedObject).Toggle();

                    GUIElements.GetMainWindow().DoRedraw();
                }
            }
        }

        return;
    }
}
